> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Versions



## OpenAPI

````yaml /api-reference/openapi.json get /v1/templates/{template_id}/versions
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/templates/{template_id}/versions:
    get:
      tags:
        - templates
      summary: List Versions
      operationId: list_versions_v1_templates__template_id__versions_get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Template Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TemplateVersionOut'
                title: Response List Versions V1 Templates  Template Id  Versions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TemplateVersionOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        template_id:
          type: string
          format: uuid
          title: Template Id
        version:
          type: integer
          title: Version
        snapshot:
          additionalProperties: true
          type: object
          title: Snapshot
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - template_id
        - version
        - snapshot
        - created_at
        - created_by
      title: TemplateVersionOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````